import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 20.5 18.717',
	pathClassName: 'st0'
};

export function SvgMoney(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg width='20.5' height='18.717' viewBox='0 0 20.5 18.717' {...svgProps}>
			<path
				id='Path_4934'
				data-name='Path 4934'
				d='M19.857,266.338H.758a.7.7,0,0,0-.7.7v10.314a.7.7,0,0,0,.7.7h19.1a.7.7,0,0,0,.7-.7V267.034a.7.7,0,0,0-.7-.7m-3.372,10.71H4.13v-9.706H16.485ZM1.064,267.338H3.13v9.71H1.064Zm18.491,9.71h-2.07v-9.71h2.068Z'
				transform='translate(-0.058 -266.334)'
			/>
			<path
				id='Path_4935'
				data-name='Path 4935'
				d='M18.757,278.535a.5.5,0,0,0-.5.5v1.7c-.547-.207-1.121-.394-1.712-.566v-1.328a.5.5,0,0,0-1,0v1.054a67.207,67.207,0,0,0-14.99-1.553.5.5,0,0,0,.015,1c.119,0,11.571-.132,17.992,2.591a.467.467,0,0,0,.195.04.486.486,0,0,0,.276-.083.5.5,0,0,0,.224-.417v-2.438a.5.5,0,0,0-.5-.5'
				transform='translate(-0.058 -266.334)'
			/>
			<path
				id='Path_4936'
				data-name='Path 4936'
				d='M17.371,282.084a.5.5,0,0,0-.5.5v1.041c-.372-.231-.764-.448-1.161-.661v-1.213a.5.5,0,0,0-1,0v.709a32.569,32.569,0,0,0-14.176-2.8.5.5,0,0,0,.046.995H.591a31.765,31.765,0,0,1,14.354,3.03.485.485,0,0,0,.106.055,19.137,19.137,0,0,1,2.035,1.223.5.5,0,0,0,.785-.411v-1.967a.5.5,0,0,0-.5-.5'
				transform='translate(-0.058 -266.334)'
			/>
			<path
				id='Path_4937'
				data-name='Path 4937'
				d='M9.6,270.289a2.911,2.911,0,0,0,.407-.138.556.556,0,0,0,.2-.115v5.16h.677v-5.9h-.661a.665.665,0,0,1-.223.174,2.531,2.531,0,0,1-.4.173,3.176,3.176,0,0,1-.5.124v.617a3.177,3.177,0,0,0,.512-.093'
				transform='translate(-0.058 -266.334)'
			/>
		</svg>
	);
}
